Freeciv-3.1: ai_dip_intel Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
ai_dip_intel Struct Reference

`#include <aidata.h>`

## Data Fields

struct player * | is_allied_with_enemy
struct player * | at_war_with_ally
struct player * | is_allied_with_ally
signed char | spam
int | distance
int | countdown
enum war_reason | war_reason
signed char | ally_patience
signed char | asked_about_peace
signed char | asked_about_alliance
signed char | asked_about_ceasefire
signed char | warned_about_space

## Detailed Description

Definition at line 53 of file aidata.h.

## Field Documentation

## ◆ ally_patience

signed char ai_dip_intel::ally_patience

Definition at line 63 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().

## ◆ asked_about_alliance

signed char ai_dip_intel::asked_about_alliance

Definition at line 65 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().

## ◆ asked_about_ceasefire

signed char ai_dip_intel::asked_about_ceasefire

Definition at line 66 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().

## ◆ asked_about_peace

signed char ai_dip_intel::asked_about_peace

Definition at line 64 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().

## ◆ at_war_with_ally

struct player* ai_dip_intel::at_war_with_ally

Definition at line 56 of file aidata.h.

Referenced by dai_data_phase_begin(), dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), dai_go_to_war(), real_diplo_log(), and war_countdown().

## ◆ countdown

int ai_dip_intel::countdown

Definition at line 61 of file aidata.h.

Referenced by dai_consider_plr_dangerous(), dai_diplomacy_actions(), dai_diplomacy_begin_new_phase(), dai_diplomacy_defaults(), dai_go_to_war(), dai_goldequiv_clause(), dai_player_load_relations(), dai_player_save_relations(), dai_treaty_accepted(), real_diplo_log(), and war_countdown().

## ◆ distance

int ai_dip_intel::distance

Definition at line 60 of file aidata.h.

Referenced by dai_diplomacy_defaults(), dai_war_desire(), and real_diplo_log().

## ◆ is_allied_with_ally

struct player* ai_dip_intel::is_allied_with_ally

Definition at line 57 of file aidata.h.

Referenced by dai_data_phase_begin(), dai_diplomacy_actions(), dai_goldequiv_clause(), and dai_treaty_react().

## ◆ is_allied_with_enemy

struct player* ai_dip_intel::is_allied_with_enemy

Definition at line 55 of file aidata.h.

Referenced by dai_data_phase_begin(), dai_diplomacy_begin_new_phase(), dai_goldequiv_clause(), and real_diplo_log().

## ◆ spam

signed char ai_dip_intel::spam

Definition at line 59 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().

## ◆ war_reason

enum war_reason ai_dip_intel::war_reason

Definition at line 62 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), dai_player_save_relations(), and war_countdown().

## ◆ warned_about_space

signed char ai_dip_intel::warned_about_space

Definition at line 67 of file aidata.h.

Referenced by dai_diplomacy_actions(), dai_diplomacy_defaults(), dai_player_load_relations(), and dai_player_save_relations().